package com.gyee.common.model;

/**
 * @author songwb<songwb @ aliyun.com>
 */
public enum TsDataType {
    LONG("long"),
    DOUBLE("double"),
    BOOLEAN("boolean"),
    STRING("string"),
    BLOB("blob"),
    COORDINATE("coordinate");

    private final String descript;

    private TsDataType(String descript) {
        this.descript = descript;
    }

    // 公共方法，用于获取枚举常量的描述
    public String getDescript() {
        return descript;
    }

    // 静态方法，通过描述性字符串获取对应的枚举常量
    public static TsDataType getByDescript(String descript) {
        for (TsDataType type : TsDataType.values()) {
            if (type.getDescript().equalsIgnoreCase(descript)) {
                return type;
            }
        }
        return TsDataType.DOUBLE;
    }
}

